do $$
  begin

    -- Insert all masterIntegrations

    -- githubEnterprise SCM masterIntegration
    if not exists (select 1 from "masterIntegrations" where "name" = 'githubEnterprise' and "typeCode" = 5000) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (15, 'githubEnterprise', 'Github Enterprise', 'scm', true, 5000, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2016-06-01', '2016-06-01');
    end if;

    -- bitbucket
    if not exists (select 1 from "masterIntegrations" where "name" = 'bitbucket' and "typeCode" = 5000) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (16, 'bitbucket', 'Bitbucket', 'scm', true, 5000, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2016-06-01', '2016-06-01');
    end if;

    -- github
    if not exists (select 1 from "masterIntegrations" where "name" = 'github' and "typeCode" = 5000) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (20, 'github', 'GitHub', 'scm', true, 5000, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2016-06-01', '2016-06-01');
    end if;

    -- gitlab
    if not exists (select 1 from "masterIntegrations" where "name" = 'gitlab' and "typeCode" = 5000) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (21, 'gitlab', 'GitLab', 'scm', true, 5000,'54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2016-06-01', '2016-06-01');
    end if;

    -- bitbucketServerBasic
    if not exists (select 1 from "masterIntegrations" where "name" = 'bitbucketServerBasic' and "typeCode" = 5000) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (90, 'bitbucketServerBasic', 'Bitbucket Server', 'scm', true, 5000, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2016-06-01', '2016-06-01');
    end if;

    -- amazonKeys masterIntegration
    if not exists (select 1 from "masterIntegrations" where "name" = 'amazonKeys' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (46, 'amazonKeys', 'AWS Keys', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2016-06-01', '2016-06-01');
    end if;

    -- smtpCreds masterintegration
    if not exists (select 1 from "masterIntegrations" where "name" = 'smtpCreds' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (50, 'smtpCreds', 'SMTP Credentials', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2016-06-01', '2016-06-01');
    end if;

    -- Digital Ocean master integration
    if not exists (select 1 from "masterIntegrations" where "name" = 'DOC' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (67, 'DOC', 'Digital Ocean', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2016-06-01', '2016-06-01');
    end if;

    -- Add sshKey integration
    if not exists (select 1 from "masterIntegrations" where "name" = 'sshKey' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (71, 'sshKey', 'SSH Key', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2016-06-01', '2016-06-01');
    end if;

    -- Add pemKey integration
    if not exists (select 1 from "masterIntegrations" where "name" = 'pemKey' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (72, 'pemKey', 'PEM Key', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2016-06-01', '2016-06-01');
    end if;

    -- adds gcloudKey integration
    if not exists (select 1 from "masterIntegrations" where "name" = 'gcloudKey' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (76, 'gcloudKey', 'Google Cloud', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2017-10-04', '2017-10-04');
    end if;

    -- adds dockerRegistryLogin integration
    if not exists (select 1 from "masterIntegrations" where "name" = 'dockerRegistryLogin' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (77, 'dockerRegistryLogin', 'Docker Registry', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2017-10-13', '2017-10-13');
    end if;

    -- adds slackkey integration
    if not exists (select 1 from "masterIntegrations" where "name" = 'slackKey' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (78, 'slackKey', 'Slack', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2017-10-24', '2017-10-24');
    end if;

    -- externalWebhook master integration
    if not exists (select 1 from "masterIntegrations" where "name" = 'externalWebhook' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (83, 'externalWebhook', 'External Webhook', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2017-11-03', '2017-11-03');
    end if;

    -- adds kubernetesConfig master integration
    if not exists (select 1 from "masterIntegrations" where "name" = 'kubernetesConfig' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (86, 'kubernetesConfig', 'Kubernetes', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2017-11-03', '2017-11-03');
    end if;

    -- adds azureKeys master integration
    if not exists (select 1 from "masterIntegrations" where "name" = 'azureKeys' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (87, 'azureKeys', 'Azure Keys', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2017-11-15', '2017-11-15');
    end if;

    -- adds jira master integration
    if not exists (select 1 from "masterIntegrations" where "name" = 'jira' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (88, 'jira', 'Jira', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2018-03-21', '2017-03-21');
    end if;

    -- airBrakeKey master integration
    if not exists (select 1 from "masterIntegrations" where "name" = 'airBrakeKey' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (94, 'airBrakeKey', 'Airbrake', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2018-09-11', '2018-09-11');
    end if;

    -- newRelicKey master integration
    if not exists (select 1 from "masterIntegrations" where "name" = 'newRelicKey' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (95, 'newRelicKey', 'NewRelic', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2018-09-11', '2018-09-11');
    end if;

    -- fileServer master integration
    if not exists (select 1 from "masterIntegrations" where "name" = 'fileServer' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (96, 'fileServer', 'File Server', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2019-04-04', '2010-04-04');
    end if;

    -- internalWebhook master integration
    if not exists (select 1 from "masterIntegrations" where "name" = 'internalWebhook' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (97, 'internalWebhook', 'Internal Webhook', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2017-11-03', '2017-11-03');
    end if;

    -- artifactory master integration
    if not exists (select 1 from "masterIntegrations" where "name" = 'artifactory' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (98, 'artifactory', 'Artifactory', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2017-11-03', '2017-11-03');
    end if;

    -- generic master integration
    if not exists (select 1 from "masterIntegrations" where "name" = 'generic' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (99, 'generic', 'Generic Integration', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2019-05-28', '2019-05-28');
    end if;

    -- distribution master integration
    if not exists (select 1 from "masterIntegrations" where "name" = 'distribution' and "typeCode" = 5012) then
      insert into "masterIntegrations" ("id", "name", "displayName", "type", "isEnabled", "typeCode", "createdBy", "updatedBy", "createdAt", "updatedAt")
      values (100, 'distribution', 'Distribution', 'generic', true, 5012, '54188262bc4d591ba438d62a', '54188262bc4d591ba438d62a', '2017-11-03', '2017-11-03');
    end if;

    -- END adding master integrations
  end
$$;
