--
-- Name: masterIntegrationTypeCodes; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."masterIntegrationTypeCodes" (
    id integer NOT NULL,
    "masterIntegrationId" integer NOT NULL,
    "typeCode" smallint NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: masterIntegrationTypeCodes_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."masterIntegrationTypeCodes_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: masterIntegrationTypeCodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public."masterIntegrationTypeCodes_id_seq" OWNED BY public."masterIntegrationTypeCodes".id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public."masterIntegrationTypeCodes" ALTER COLUMN id SET DEFAULT nextval('public."masterIntegrationTypeCodes_id_seq"'::regclass);

