--
-- Name: runStepConnections; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."runStepConnections" (
    id bigint NOT NULL,
    "stepId" bigint NOT NULL,
    "pipelineId" integer NOT NULL,
    "projectId" smallint NOT NULL,
    "runId" bigint NOT NULL,
    operation character varying(255) NOT NULL,
    "operationRunResourceVersionId" integer,
    "operationRunResourceVersionName" character varying(255),
    "operationStepId" bigint,
    "operationStepName" character varying(255),
    "operationIntegrationId" integer,
    "operationIntegrationName" character varying(255),
    "isTrigger" boolean DEFAULT false NOT NULL,
    "createdBy" character varying(24) NOT NULL,
    "updatedBy" character varying(24) NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: runStepConnections_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."runStepConnections_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: runStepConnections_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public."runStepConnections_id_seq" OWNED BY public."runStepConnections".id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public."runStepConnections" ALTER COLUMN id SET DEFAULT nextval('public."runStepConnections_id_seq"'::regclass);

