--
-- Name: workflowControllers; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."workflowControllers" (
    id integer NOT NULL,
    "objectType" character varying(255) NOT NULL,
    "objectId" character varying(24) NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: workflowControllers_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."workflowControllers_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: workflowControllers_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public."workflowControllers_id_seq" OWNED BY public."workflowControllers".id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public."workflowControllers" ALTER COLUMN id SET DEFAULT nextval('public."workflowControllers_id_seq"'::regclass);

