do $$
  begin

    --
    -- Name: masterIntegrationFields_pkey; Type: CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'masterIntegrationFields_pkey') then
      ALTER TABLE ONLY public."masterIntegrationFields"
          ADD CONSTRAINT "masterIntegrationFields_pkey" PRIMARY KEY (id);
    end if;
    
    --
    -- Name: miFieldsMiIdNameU; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'masterIntegrationFields' and indexname = 'miFieldsMiIdNameU') then
      CREATE INDEX "miFieldsMiIdNameU" ON public."masterIntegrationFields" USING btree ("masterIntegrationId", name);
    end if;
    
    --
    -- Name: masterIntegrationFields_masterIntegrationId_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'masterIntegrationFields_masterIntegrationId_fkey') then
      ALTER TABLE ONLY public."masterIntegrationFields"
          ADD CONSTRAINT "masterIntegrationFields_masterIntegrationId_fkey" FOREIGN KEY ("masterIntegrationId") REFERENCES public."masterIntegrations"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
  end
$$
