do $$
  begin

    --
    -- Name: stepletIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepletConsoles' and indexname = 'stepletIdI') then
      CREATE INDEX "stepletIdI" ON public."stepletConsoles" USING btree ("stepletId");
    end if;

    --
    -- Name: stepletConsolesPipelineIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepletConsoles' and indexname = 'stepletConsolesPipelineIdI') then
      CREATE INDEX "stepletConsolesPipelineIdI" ON public."stepletConsoles" USING btree ("pipelineId");
    end if;

  end
$$
