--
-- Name: identityRoles; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."identityRoles" (
    id integer NOT NULL,
    "identityId" integer NOT NULL,
    "roleCode" smallint NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: identityRoles_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."identityRoles_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: identityRoles_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public."identityRoles_id_seq" OWNED BY public."identityRoles".id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public."identityRoles" ALTER COLUMN id SET DEFAULT nextval('public."identityRoles_id_seq"'::regclass);

