--
-- Name: projectPermissions; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."projectPermissions" (
    id integer NOT NULL,
    "identityId" integer NOT NULL,
    "projectId" smallint NOT NULL,
    "roleCode" smallint NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: projectPermissions_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."projectPermissions_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: projectPermissions_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public."projectPermissions_id_seq" OWNED BY public."projectPermissions".id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public."projectPermissions" ALTER COLUMN id SET DEFAULT nextval('public."projectPermissions_id_seq"'::regclass);
