--
-- Name: resourceVersions; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."resourceVersions" (
    id bigint NOT NULL,
    "projectId" smallint NOT NULL,
    "resourceId" integer NOT NULL,
    "createdByStepId" bigint,
    "contentPropertyBag" text,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: resourceVersions_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."resourceVersions_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resourceVersions_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public."resourceVersions_id_seq" OWNED BY public."resourceVersions".id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public."resourceVersions" ALTER COLUMN id SET DEFAULT nextval('public."resourceVersions_id_seq"'::regclass);
